Get a list of conditions
get
/Condition
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of conditions that meet the supplied query parameters.
- Search by
_id, or bypatient/subjectwith optional filters. - Do not combine
_idwith other filters except_revinclude. - Do not combine
patientandsubject.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: array[string]
Minimum Number of Items:
1Maximum Number of Items:2The last updated date or range. -
_revinclude: string
The inclusion of related Provenance resources.Allowed Values:
[ "Provenance:target" ] -
category: string
One or more comma-delimited category tokens.
-
clinical-status: string
One or more comma-delimited clinical status tokens.
-
encounter: string
One or more comma-delimited Encounter references or IDs.
-
patient: string
The patient reference or ID.
-
subject: string
The patient subject reference or ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
Condition
The FHIR R4 Condition resource.
-
object
ProvenanceForCondition
Additional Properties Allowed:
trueThe included FHIR Provenance resource. -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : Condition
Type:
objectThe FHIR R4 Condition resource.
Show Source
-
abatementDateTime: string
The FHIR
dateTime, including supported partial-date precision. -
category(required): array
category
-
clinicalStatus: object
CodeableConcept
-
code(required): object
CodeableConcept
-
encounter: object
ReferenceForCondition
-
extension: array
extension
-
id(required): string
-
identifier: array
identifier
-
meta: object
meta
-
note: array
note
-
onsetDateTime: string
The FHIR
dateTime, including supported partial-date precision. -
recordedDate: string
(date-time)
-
recorder: object
ReferenceForCondition
-
resourceType(required): string
Allowed Values:
[ "Condition" ] -
severity: object
CodeableConcept
-
subject(required): object
ReferenceForCondition
-
text: object
Narrative
-
verificationStatus: object
CodeableConcept
Nested Schema : ProvenanceForCondition
Type:
objectAdditional Properties Allowed:
trueThe included FHIR Provenance resource.
Show Source
-
resourceType: string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : ExtensionForCondition
Type:
Show Source
object-
url: string
(uri)
-
valueCodeableConcept: object
CodeableConcept
-
valueDateTime: string
The FHIR
dateTime, including supported partial-date precision.
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source